Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002675 [JEDI VCL] 00 JVCL Components crash always 2005-02-21 13:34 2006-04-05 01:17
Reporter foxy View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002675: Format function in JvInterpreter
Description If You'll try to execute in JvInterpreter the following code:

begin
 ShowMessage(Format('%.2f', [123.4]));
end;

You'll get an Access violation exception.
The problem is in procedure V2OA - incorrect processing of floating point variants.
I have included the solution in the attachment. (look for my comments);
Additional Information
Tags No tags attached.
Attached Files ? file icon V2OA.pas [^] (3,617 bytes) 2005-02-21 13:34

- Relationships
has duplicate 0002134closed JvInterpreter incorrectly treats float in Open Arrays (using floats in open array parameters leads to AV) 

-  Notes
(0006578)
obones (administrator)
2005-02-25 05:19

Which version of the JVCL are you using ?
(0006586)
foxy (reporter)
2005-02-25 08:12

I'm using JVCL 3.00 RC 1
(0008749)
obones (administrator)
2006-03-30 05:10

Thanks, this is now confirmed as a working solution
It will be in CVS and marked fixed as soon as SourceForge fixes the CVS issues.
(0008923)
obones (administrator)
2006-04-05 01:17

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-02-21 13:34 foxy New Issue
2005-02-21 13:34 foxy File Added: V2OA.pas
2005-02-25 05:19 obones Note Added: 0006578
2005-02-25 05:19 obones Status new => feedback
2005-02-25 08:12 foxy Note Added: 0006586
2006-03-30 05:10 obones Note Added: 0008749
2006-03-30 05:10 obones Status feedback => confirmed
2006-04-03 00:53 obones Relationship added has duplicate 0002134
2006-04-05 01:17 obones Status confirmed => resolved
2006-04-05 01:17 obones Resolution open => fixed
2006-04-05 01:17 obones Assigned To => obones
2006-04-05 01:17 obones Note Added: 0008923


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker